diff options
author | Justus Winter <[email protected]> | 2016-09-20 09:34:42 +0000 |
---|---|---|
committer | Justus Winter <[email protected]> | 2016-09-20 13:55:02 +0000 |
commit | c644962fcfe988c8b70bf705b0f1553fa9bfbf52 (patch) | |
tree | c2d3f40bbaad24d46f9329d1acd5ee6eba6ebe23 /tests/openpgp/quick-key-manipulation.test | |
parent | tests: Port the quick key manipulation test to Scheme. (diff) | |
download | gnupg-c644962fcfe988c8b70bf705b0f1553fa9bfbf52.tar.gz gnupg-c644962fcfe988c8b70bf705b0f1553fa9bfbf52.zip |
tests: Drop the old shell-based tests.
--
Signed-off-by: Justus Winter <[email protected]>
Diffstat (limited to '')
-rwxr-xr-x | tests/openpgp/quick-key-manipulation.test | 70 |
1 files changed, 0 insertions, 70 deletions
diff --git a/tests/openpgp/quick-key-manipulation.test b/tests/openpgp/quick-key-manipulation.test deleted file mode 100755 index 4185601bb..000000000 --- a/tests/openpgp/quick-key-manipulation.test +++ /dev/null @@ -1,70 +0,0 @@ -#!/bin/sh -# Copyright 2016 Free Software Foundation, Inc. -# This file is free software; as a special exception the author gives -# unlimited permission to copy and/or distribute it, with or without -# modifications, as long as this notice is preserved. This file is -# distributed in the hope that it will be useful, but WITHOUT ANY -# WARRANTY, to the extent permitted by law; without even the implied -# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. - -. $srcdir/defs.inc || exit 3 - -export PINENTRY_USER_DATA=test - -alpha="Alpha <[email protected]>" -bravo="Bravo <[email protected]>" - -$GPG --with-colons --with-fingerprint --list-secret-keys ="$alpha" && - error "User ID '$alpha'exists when it should not!" -$GPG --with-colons --with-fingerprint --list-secret-keys ="$bravo" && - error "User ID '$bravo' exists when it should not!" - -#info verify that key creation works -$GPG --quick-gen-key "$alpha" || \ - error "failed to generate key" - -fpr=$($GPG --with-colons --with-fingerprint --list-secret-keys ="$alpha" | \ - grep '^fpr:' | cut -f10 -d: | head -n1) - -$GPG --check-trustdb - -cleanup() { - $GPG --batch --yes --delete-secret-key "0x$fpr" - $GPG --batch --yes --delete-key "0x$fpr" -} - -count_uids_of_secret() { - if ! [ $($GPG --with-colons --list-secret-keys ="$1" | \ - grep -c '^uid:u:') = "$2" ] ; then - cleanup - error "wrong number of user IDs for '$1' after $3" - fi -} - -count_uids_of_secret "$alpha" 1 "key generation" - -#info verify that we can add a user ID -if ! $GPG --quick-adduid ="$alpha" "$bravo" ; then - cleanup - error "failed to add user id" -fi - -$GPG --check-trustdb - -count_uids_of_secret "$alpha" 2 "adding User ID" -count_uids_of_secret "$bravo" 2 "adding User ID" - -#info verify that we can revoke a user ID -if ! $GPG --quick-revuid ="$bravo" "$alpha"; then - cleanup - error "failed to revoke user id" -fi - -$GPG --check-trustdb - -count_uids_of_secret "$bravo" 1 "revoking user ID" - -cleanup - -! $GPG --with-colons --list-secret-keys ="$bravo" || - error "key still exists when it should not!" |